package com.bonus.boot.manager.index.service;

import com.bonus.boot.manager.index.entity.IndexBean;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.context.annotation.Bean;

import java.util.List;

@Mapper
public interface IndexService {
    Integer getAgeDistribution(int i, String date);

    List<IndexBean> getIllnessCount(String date);

    List<IndexBean> getDiseaseDetectionRate(String date);

    List<IndexBean> getMaleIllnessCount(String date);

    List<IndexBean> getFemaleIllnessCount(String date);


//    List<Map<String, Object>> getAgeDistribution(int startAge, int endAge);
}

